Subject: smtpupd-09 still requires waiting for the QUIT response

From: "D. J. Bernstein" <[email-masked]>
Date: 29 Jan 1999 09:45:24 -0000

> The sender MUST NOT intentionally close the transmission channel until
> it sends a QUIT command and receives the reply

Several people have already objected to the last part of this. Leiba's
DRUMS meeting notes say

   There was discussion about whether a client must send QUIT and
   whether it must then wait for the server's reply. ... Consensus is to
   change "MUST wait" to "SHOULD wait" (and some would prefer "MAY wait"
   or nothing at all).

The reason that the text hasn't been fixed, apparently, is that the
document editor completely misunderstood the discussion. His comment:

   ... server wait for QUIT has been changed to a SHOULD ...

He's talking about the _server_ waiting for _QUIT_. The rest of us are
talking about the _client_ waiting for the _QUIT response_.

---Dan